[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TProviderFlags

Set of TProviderFlag flags

## Declaration

Source position: db.pas line 65

`type TProviderFlags = set of (`
`pfInUpdate,` |  | Changes to the field should be propagated to the database.
`pfInWhere,` |  | Field should be used in the WHERE clause of an update statement in case of upWhereChanged.
`pfInKey,` |  | Field is a key field and used in the WHERE clause of an update statement
`pfHidden` |  |
`);`

## Description

TProviderFlags is used for the TField.ProviderFlags property to describe the role of the field when applying updates to a database.

## See also

TField.ProviderFlags |  | Flags for provider or update support

The latest version of this document can be found at lazarus-ccr.sourceforge.net.